import React, { Component } from 'react';
import logo from './logo.svg';
import './App.css';
import * as wjGrid from 'wijmo/wijmo.react.grid';

class App extends Component {
  data = [
    { country:"Japan", date: new Date(2017,1,1), sales: 0 },
    { country:"USA", date: new Date(2017,1,1), sales: 0 },
    { country:"UK", date: new Date(2017,1,1), sales: 0 },
    { country:"China", date: new Date(2017,1,1), sales: 0 }
  ]
  render() {
    return (
      <div className="App">
        <header className="App-header">
          <img src={logo} className="App-logo" alt="logo" />
          <h1 className="App-title">Welcome to React</h1>
        </header>
        <p className="App-intro">
          To get started, edit <code>src/App.js</code> and save to reload.
        </p>

        <wjGrid.FlexGrid
            autoGenerateColumns={false}
            columns={[
                { header: 'Country', binding: 'country', width: '*' },
                { header: 'Date', binding: 'date' },
                { header: 'Sales', binding: 'sales', format: 'c2' }
            ]}
            itemsSource={this.data}
            style={{ height: '250px', width: '500px' }}
        />
      </div>
    );
  }
}

export default App;
